
QGIS Application - Feature request #2634

Spatial Query Plugin source for evaluation

2010-04-07 05:14 AM - Luiz Motta

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12694

Description

It is the source code of Spatial Query Plugin.

I would like you can be assess this plugin to be placed in version 1.5 of QGIS.

Please verify the file CMakeLists.txt to use dependece GEOS libray.

History

#1 - 2010-04-07 03:33 PM - Tim Sutton

Looks like some include paths are not configured in the cmakelists.txt:

In file included from /home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:30:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquery.h:25:29: error: qgsspatialindex.h: No such file or directory

[ 55%] Building CXX object src/plugins/labeling/CMakeFiles/labelingplugin.dir/moc_labelinggui.cxx.o

In file included from /home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:30:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquery.h:152: error: ‘QgsSpatialIndex’ does not name a type

Linking CXX shared module liblabelingplugin.so

maker2: *** [src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/qgsspatialquerydialog.cpp.o] Error 1

maker1: *** [src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/all] Error 2

maker1: *** Waiting for unfinished jobs....

[ 56%] Built target labelingplugin

make: *** [all] Error 2

#2 - 2010-04-07 04:55 PM - Tim Sutton

Adding spatialindex dir fixed it:

 39 INCLUDE_DIRECTORIES(

 40      ${CMAKE_CURRENT_BINARY_DIR}

 41      ${CMAKE_CURRENT_BINARY_DIR}/../../ui/

 42      ../../core

 43      ../../core/spatialindex

 44      ../../core/raster

 45      ../../core/renderer

 46      ../../core/symbology

 47      ../../gui

 48      ..

 49 )
Having built and tested the plugin (works great!) my feedback is this:

a) I think we should put it in the main gui rather than as a plugin.

b) I would remove the status on the side and botton and just have the selection operators and a progress bar. Or at the very least hide that stuff away with

an 'advanced button' since the output there is more of interest to developers of the plugin that for general users.

c) The user interface is not HIG compliant:

   - the combos have a squashed vertically look so they are not sizing right

   - labels should be upper case for first letter only thereafter all lower case

   - labels and widgets should have buddies set.

Regardless of whether it is added as a plugin or in gui if they above issues are resolved it would be +1 from me for inclusion into 1.5 - nice work!

Tim

#3 - 2010-04-13 08:17 AM - Luiz Motta

This is the source code of an Spatial Query Plugin, I would like you guys to verify the code, and if it's in good shape, include it in the next version ( 1.5 ) of

QGIS. Please verify the file CMakeLists.txt to fix the include paths of the GEOS libray.

#4 - 2010-04-13 12:13 PM - Luiz Motta

Update zipfile with source of Spatial Query with feedback by Tim

#5 - 2010-04-14 02:41 PM - Tim Sutton

Hi

Much better. Just the ok / Cancel QButtonBox needs to come down to the bottom of the dialog to follow the 'principle of least surprise'.

Regards

Tim

#6 - 2010-04-15 05:27 AM - Luiz Motta

Upload plugin with last suggestion

#7 - 2010-04-23 04:45 PM - Tim Sutton

- Status changed from Open to Closed

- Resolution set to fixed

I have committed this patch as of commit:349b1ec4 (SVN r13357). Parabens e obrigado!

Note there is still one more thing that should be sorted out - the Qt includes should be done in the form

#include <QDateTime>
and not

#include <qdatetime.h>

Note also that I have made some changes to the behaviour and layout of the dialog to try to improve usability - hope they are all to your liking.

Regards

Tim

#8 - 2010-04-23 05:26 PM - Luiz Motta

Thanks Tim.

#9 - 2010-04-25 03:39 AM - Giovanni Manghi

Hi Luiz,

just tested the plugin, looks great!

two notes:

*) if you resize the plugin windows then also two dropdowns resize, see attached image

*) when you click the button "close" (after having run a query) the plugin closes. I would like to see also a button "back" (or else) to let the user return to the

plugin main window, so he can run another query without having to open again the plugin

obrigado!

#10 - 2010-04-25 03:43 AM - Jürgen Fischer

the resizing issue doesn't happen in current trunk.

#11 - 2010-04-25 03:46 AM - Giovanni Manghi

in commit:d69d9faf (SVN r13378) it seems to happen, just compiled on ubuntu 10.04

#12 - 2010-04-25 06:29 AM - Jürgen Fischer

oh, sorry.  thought it was.  but in commit:827be3f2 (SVN r13382) it should be.

#13 - 2010-04-25 10:08 AM - Luiz Motta

About:
When you click the button "close" (after having run a query) the plugin closes. I would like to see also a button "back" (or else) to let the user return to the

plugin main window, so he can run another query without having to open again the plugin.

To answer your suggestion I made the following changes:

    -  Attach change_spatialquerydialog_cpp_and_ui.zip)

1) qgsspatialquerydialogbase.ui

Remove Signal/slot to "reject()"

2)qgsspatialquerydialog.cpp

2.1) Change method - on_buttonBox_rejected

void [[QgsSpatialQueryDialog]]::on_buttonBox_rejected(){

    if ( grpResults->isHidden() )    {

        reject();

    }

    else    {

        grpResults->hide();

        setInputsVisible( true );

        progressBarStatus->show();

        buttonBox->button( QDialogButtonBox::Close )->hide();

        buttonBox->button( QDialogButtonBox::Cancel )->show();

        buttonBox->button( QDialogButtonBox::Ok )->show();

}

} // void [[QgsSpatialQueryDialog]]::on_buttonBox_rejected()

2.2) Change method - runQuery

Only append on end of method: adjustSize();

void [[QgsSpatialQueryDialog]]::runQuery(){

...

  grpResults->show();

  setInputsVisible( false );

  progressBarStatus->hide();

  buttonBox->button( QDialogButtonBox::Close )->show();

  buttonBox->button( QDialogButtonBox::Cancel )->hide();

  buttonBox->button( QDialogButtonBox::Ok )->hide();

    adjustSize();

} // void [[QgsSpatialQueryDialog]]::runQuery()

#14 - 2010-04-28 05:55 AM - Jürgen Fischer

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#15 - 2010-05-08 12:07 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

applied in commit:062f329c (SVN r13442).

#16 - 2011-02-06 11:53 AM - Luiz Motta
- Status changed from Closed to Feedback

- Resolution deleted (fixed)

The patch (spatialquery_update.zip) content only the  files changed and the one new file (don´t has all source).

The spatialquery work with valid features, then, if have invalid features, the user can believe the invalid features don´t have topologic relation.

This update will show the the report about invalid features in both layers.

Please, verify this work.

#17 - 2011-02-06 12:20 PM - Luiz Motta

The attachment, spatialquery_update_example.JPG, illustrates the update.

#18 - 2011-02-07 12:32 AM - Tim Sutton

- Status changed from Feedback to Open

#19 - 2011-02-07 12:32 AM - Tim Sutton

- Status changed from Open to In Progress

#20 - 2011-02-07 12:41 AM - Tim Sutton

Hi

I tested the patch. There are a few minor issues that should be fixed before we commit it:

- the invalid features group  box should be placed to the right of the results group box as currently the dialog consumes too much vertical space.

- when unchecked, the log checkbox seems to disable the results list and the checkbox itself making the ui feel like it is frozen.

- "Invalids features" --> "Invalid features"

If you can address these issues we can apply your changes.

On a side note it would be good to consider creating a patch to move this functionality into the core of QGIS and displayed in the vector menu, and also to

coordinate with Carson about the possible overlaps in functionality between this plugin and the Vector->Geometry Tools so that there is no duplication in

QGIS of these tools (unless there is a compelling reason to keep both).

Muito obrigado!

Regards

Tim

#21 - 2011-02-07 06:20 PM - Luiz Motta

Tim,

The changes are in spatialquery_update_II.zip (only files with changes).
You can see the new layout in the picture spatialquery_II.jpg.

I fixed the bug of frozen when unchecked the show log messages

Please, see can apply the changes.

The merge of spatial query in vector menu (work of Carson), i believe better when migrate the vector functionalities from Pyhon to  C++

Regards,

Luiz

#22 - 2011-02-07 11:19 PM - Tim Sutton

- Status changed from In Progress to Closed

- Resolution set to fixed

Thanks for making those tweaks. I have applied your patch as commit:b5bad19f (SVN r15138).

Best regards

Tim

#23 - 2011-02-09 08:43 PM - Luiz Motta

Tim,

The last changes are in spatialquery_update_III.zip (only files with changes).

You can see the new layout in the picture spatialquery_III.jpg.

At now, the dialog box is more compact.

Please, see can apply the changes.

Regards,

Luiz

#24 - 2011-02-10 05:42 PM - Luiz Motta

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Tim,

I forgot to reopen this ticket for you receive the message above by trac.

Sorry, again, do you can see  the changes.

Regards,

Luiz
#25 - 2011-02-12 04:54 PM - Luiz Motta

Tim,

The update IV (see spatialquery_update_IV.jpg) have the features:

1) The features of result can be use to (GUI are buttons):

- New select

- Add current selected

- Remove current selected

2) Zoom mapcanvas to selected item(GUI is checkbox)

Content of spatialquery_update_IV.zip:

1) Update files:

- qgsspatialquerydialog.h

- qgsspatialquerydialog.cpp

- qgsspatialquerydialogbase.qrc

- qgsspatialquerydialogbase.ui

2)New files:

- selectadd.png

- selectremove.png

- select.png *** same selectall.png (rename to better logic of source)

The  'selectall.png' can be deleted

Please, see can apply the changes.

Regards, Luiz

#26 - 2011-02-13 05:11 PM - Luiz Motta

Tim,

The update V (see spatialquery_update_V.jpg) have the features:

1)Fixed BUG: Use operator DISJOINT.

2)New functionality:Set subset in target layer with selected features(GUI is new button).

3)Better status(enable or disable) for buttons add and remove FIDs of query, when user make new selection on target.

Content of spatialquery_update_IV.zip:

1) Update files:

qgsspatialquery.cpp,

qgsspatialquerydialog.cpp and 

qgsspatialquerydialog.h

2)GUI all files:
qgsspatialquerydialogbase.qrc,

qgsspatialquerydialogbase.ui,

select.png,

selectadd.png,

selectesubsetlayer.png,

selectremove.png and

spatialquery.png

*Can delete the "selectall.png" in the trunk

Please, see can apply the changes.

Regards,

Luiz

#27 - 2011-02-13 11:49 PM - Tim Sutton

Hi Luiz

I tried to build version V but get:

[ 97%] Building CXX object src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/qgsspatialqueryplugin.cpp.o

[ 97%] Building CXX object src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/qgsspatialquerydialog.cpp.o

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_lwResultFeatureTarget_currentItemChanged(QListWidgetItem*)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:844: error: ‘class QVariant’ has no member named ‘asInt’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_lwInvalidFeatureTarget_currentItemChanged(QListWidgetItem*)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:888: error: ‘class QVariant’ has no member named ‘asInt’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_lwInvalidFeatureReference_currentItemChanged(QListWidgetItem*)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:895: error: ‘class QVariant’ has no member named ‘asInt’

maker2: *** [src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/qgsspatialquerydialog.cpp.o] Error 1

maker1: *** [src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/all] Error 2

make: *** [all] Error 2

Also please note:

- the 'tabs within tabs' metaphor violates our HIG (see CODING section 4 in top of source tree) and the HIG of operating systems such as

Microsoft windows, so I would suggest to find a different way to nest the results.

 - it would be good to contact Robert SzczepanekS on the dev list and ask him to make some better icons for your plugin.

Thanks!

Tim

#28 - 2011-02-14 04:59 AM - Luiz Motta

Tim,

2024-04-10 8/16



Thanks for your orientation and sorry  by compile error.

You can compile with new update of "qgsspatialquerydialog.cpp"

I will read again about HIG and change the GUI of Plugin.

Regards,

Luiz

#29 - 2011-02-14 11:29 AM - Luiz Motta

Tim,

The update VI have:

qgsspatialquerydialog.cpp, qgsspatialquerydialog.h and

qgsspatialquerydialogbase.ui

I made changes for stay on standard GUI of  QGIS.

I will contact Robert Szczepaneks for make better icons.

Please, test the update VI.

Regards,

Luiz

#30 - 2011-02-14 12:54 PM - Tim Sutton

Hi

Sorry I found some more issues:

- when I click a feature id, no feature is selected in the view

- when I click a feature id with 'Zoom to selected item' enabled, the canvas zooms but not to any feature.

- the status showing the number of selected items doesnt change when I click a feature id.

- perhaps the feature id list should be a multiselect so that you can select more than one of the features? (not sure about this one, its just a thought)

- for me the icons don't show in the buttons

Regards

Tim

#31 - 2011-02-15 02:23 AM - Luiz Motta

Tim,
I changed the color of FID selected, at now, this color is the same of identify tool.

The selection of FID is only a manner to view the geometry, this is not select the feature in layer.

The status showing the number of selected features in target layer.

The idea of list of FID's is show the features from query. when selected this item identfy the geometry.

You can see the new GUI in update_spatialquery_VII.png.

The update files (update_spatialquery_VII.zip) are:

qgsrubberselectid.cpp, 

qgsrubberselectid.h, 

qgsspatialquerydialogbase.ui, 

qgsspatialquerydialog.cpp and

qgsspatialquerydialog.h

The icons will be changed with help Robert Szczepaneks.

Regards,

Luiz

#32 - 2011-02-16 02:26 AM - Tim Sutton

Hi

Testing with latest:

Zoom to identify still does not work for me - it zooms to somewhere completely off the map

The middle button (add selection) - I cant see to get it enabled in any circumstance - what is the trick here

On the initial screen, I think it needs to be made clearer for new users which layer will actually have features selected. It will fee more natural if initial ui

works like this:

Find features in layer: | Combo box | V | 

That |Combo box | V | <-----cross / intersect etc

Features in layer | Combo box | V |

I think it would also be nice to have a checkbox 'Add results to selection' which is enabled by default - the most common use case in my mind is that the

user will want to use this tool to select a bunch of features so it makes sense to make this the default behaviour.

Many thanks for the improvements you are making to the useful tool!

Regards

Tim

#33 - 2011-02-20 01:41 PM - Luiz Motta
Tim,

The Zoom in feature item is verify:

- Have Coordinate Reference Systems in layer

- The mapcanvas have enable on the fly

    -  Maybe these are a source of problem

I made several change in GUI, please, see the picture (spatialquery_update_VIII.jpg).

Theses are:

- First, choice what how select from result query (new, add and remove).

- The query  result and the features selected were separate.

- Can create new layer from target layer, by items (result query) or features selected.

For create new layer by subset have these limits:

- The provider OGR is OK (FID name is standard for subset)

- The provider databases, at the moment, i use the first field to make subset.

- Others vector provider is not created.

Can erase the old images files, at now, only three images are used:

spatialquery.png, selectcreatelayer.png and itemscreatelayer.png

#34 - 2011-02-21 10:41 AM - Luiz Motta

Tim,

I update the file "qgsspatialquerydialog.cpp"

for fix bug for "Remove from selection", the old  not add correct the item in

list for "Use result for"

#35 - 2011-02-21 02:49 PM - Luiz Motta

Tim,

The spatialquery_IX.zip, update files qgsspatialquerydialog.h and qgsspatialquerydialog.cpp.

The choices for combobox "Use result for" is better when  dont have selection in target layer.

Show the choice of "Use result for" in the number of selected features.
For evaluation,  first update VIII (have more files update) then update IX

#36 - 2011-02-28 01:54 PM - Tim Sutton

Hi

I get a bunch of errors compiling your latest:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::showResultQuery(QDateTime*, QDateTime*)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:216: error: ‘class QComboBox’ has no member named

‘currentItem’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::removeLayer(bool, [[QgsVectorLayer]]*)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:476: error: ‘class QGroupBox’ has no member named ‘isShown’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::populateCbTargetLayer()’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:545: warning: ‘QString [[QgsMapLayer]]::getLayerID() const’ is

deprecated (declared at /home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/../../core/qgsmaplayer.h:79)

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::zoomFeature(QgsVectorLayer*, int)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:686: warning: ‘long int

[[QgsCoordinateReferenceSystem]]::epsg() const’ is deprecated (declared at

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/../../core/qgscoordinatereferencesystem.h:268)

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_pbCreateLayerItems_clicked()’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:785: error: ‘class QComboBox’ has no member named

‘currentItem’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_cbTargetLayer_currentIndexChanged(int)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:865: error: ‘class QGroupBox’ has no member named ‘isShown’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_cbReferenceLayer_currentIndexChanged(int)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:878: error: ‘class QGroupBox’ has no member named ‘isShown’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_cbResultFor_currentIndexChanged()’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:940: error: ‘class QGroupBox’ has no member named ‘isShown’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_lwFeatures_currentItemChanged(QListWidgetItem*)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:948: error: ‘class QComboBox’ has no member named

‘currentItem’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::on_ckbZoomItem_clicked(bool)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:974: error: ‘class QComboBox’ has no member named

‘currentItem’

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::signal_qgis_layerWasAdded(QgsMapLayer*)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:1002: warning: ‘QString [[QgsMapLayer]]::getLayerID() const’ is

deprecated (declared at /home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/../../core/qgsmaplayer.h:79)

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp: In member function ‘void

[[QgsSpatialQueryDialog]]::signal_qgis_layerWillBeRemoved(QString)’:

/home/timlinux/dev/cpp/qgis/src/plugins/spatialquery/qgsspatialquerydialog.cpp:1034: error: ‘class QGroupBox’ has no member named ‘isShown’
maker2: *** [src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/qgsspatialquerydialog.cpp.o] Error 1

maker1: *** [src/plugins/spatialquery/CMakeFiles/spatialqueryplugin.dir/all] Error 2

maker1: *** Waiting for unfinished jobs....

[ 61%] Built target offlineeditingplugin

[ 62%] Built target spitplugin

[ 62%] Building CXX object src/app/CMakeFiles/qgis.dir/main.cpp.o

Linking CXX executable qgis

I'm using Qt 4.6 on ubuntu. By the way it will be easier for me if you just supply your updates as a patch, or a zip of the whole plugin dir as I test on different

computers and the current way of you supplying updates means I need to run through each zip file to make sure I didnt leave anything out.

Once the above problem is resolved, I will probably go ahead and commit your updates to trunk.

Thanks for all the great work!

Regards

Tim

#37 - 2011-02-28 06:21 PM - Luiz Motta

Tim,

The full path for Spatialquery X (all files) was attached.

I fixed the error compile for Qt  4.6.

Regards,

Luiz

#38 - 2011-03-01 12:05 AM - Tim Sutton

Hi Luiz

I made a few small tweaks to some of the labels to make it more 'human'. I had three remaining small issues:

    -  I still have an issue with 'zoom to' not working in my test dataset (on the fly projections disabled)

    -  Could you make the label for 'disjoint' say rather 'is disjoint' so that it is grammatically consistent with the other items in the list.

    -  For me icons on buttons are not showing at the moment (they show in designer but not at run time)

I have committed your work to date as I think it already provides a substantial improvement over existing functionality. See commit:d0e4d4b5 (SVN

r15301), commit:0b65851e (SVN r15302), commit:9950959e (SVN r15303).

Muito obrigado!

Regards

Tim

2024-04-10 13/16



#39 - 2011-03-13 09:45 AM - Luiz Motta

Tim,

I update (spatialquery_XI_update.zip) files:

qgsspatialquerydialog.h and cpp

qgsspatialquery.cpp

qgsspatialqueryplugin.cpp

The original source have BUG when run with layers open in QGIS, where, have only one layer vector and others layers are diferent types.

I made change label of  "Disjoint" to "Is disjoint".

I need yours data to understand why 'zoom to' not work.

Please share for me yours data.

Regards,

Luiz

#40 - 2011-03-14 02:45 PM - Tim Sutton

Hi

Your changes were committed in commit:a894e322 (SVN r15485) thanks. Will try to get the sample data to test with to you tomorrow.

Regards

Tim

#41 - 2011-03-14 06:26 PM - Luiz Motta

Tim,

I received the new icons made by Robert Szczepanek.

Please update icons from spatialquery_new-icons.zip.

Thanks Robert Szczepanek

Luiz

#42 - 2011-03-14 11:56 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Feedback to Closed
Applied in commit:1aa1d5c2 (SVN r15492) - thanks!

I think I will close this ticket now ok?

Muito obrigado por o boa trbalho que voce faiz!

Ok my Portuguese still sucks :-)

Regards

Tim

#43 - 2011-03-15 03:57 AM - Luiz Motta

Tim,

You can remove these PNG files in trunk:

select.png

selectadd.png

selectall.png

selectesubsetlayer.png

selectremove.png

You can close this ticket now.

Regards,

Luiz

Files
